### Enumeration

# Gtk WrapMode

#### Declaration

    enum Gtk.WrapMode

#### Description [src]

Describes a type of line wrapping.

#### Members

Name | Description
--- | ---
`GTK_WRAP_NONE` | Do not wrap lines; just make the text area wider.
`GTK_WRAP_CHAR` | Wrap text, breaking lines anywhere the cursor can appear (between characters, usually - if you want to be technical, between graphemes, see pango_get_log_attrs()).
`GTK_WRAP_WORD` | Wrap text, breaking lines in between words.
`GTK_WRAP_WORD_CHAR` | Wrap text, breaking lines in between words, or if that is not enough, also between graphemes.